Subject: [PATCH v3 0/3] Provide option to opt in/out GitHub Actions

From: Đoàn Trần Công Danh <[email-masked]>
Date: Tue, 5 May 2020 23:26:38 +0700

It seems like there're 2 schools for GitHub Actions,
- Opt-in by using some specific patterns
- Opt-out by using some specific patterns

I tried to help everyone happy, but with my current knowledge, I couldn't.

This series should be 2 patches only.
I provide the [3/3] as a fix-up for [2/3].

Should we conclude that it's over-engineered, please drop [3/3].
Should we think it's OK to go that route, please fix-up [3/3] into [2/3].

Hopefully, we can get into some agreement on this matter.

I'm not include range-diff/inter-diff against v2 since I reorder the patches,
and [3/3] is meant for discussion.

Đoàn Trần Công Danh (3):
  SubmittingPatches: advertise GitHub Actions CI
  CI: limit GitHub Actions to designated branches
  fixup! CI: limit GitHub Actions to designated branches

 .github/workflows/main.yml      | 82 ++++++++++++++++++++++++++++++++-
 Documentation/SubmittingPatches |  6 +++
 2 files changed, 87 insertions(+), 1 deletion(-)

-- 
2.26.2.672.g232c24e857